Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/11
Addresses2^117
/64 networks2^53
Network
fc80::/11
First address
fc80::
Last address
fc9f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
166,153,499,473,114,484,112,975,882,535,043,072 (2^117)
/64 networks (LANs)
9,007,199,254,740,992 (2^53)
Full form
fc80:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zones
8.c.f.ip6.arpa
9.c.f.ip6.arpa
/11 is not on a 4-bit boundary, so it takes 2 /12 zones.
Split into smaller subnets/20

fc80::/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetLast address
1fc80::/20fc80:fff:ffff:ffff:ffff:ffff:ffff:ffff
2fc80:1000::/20fc80:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3fc80:2000::/20fc80:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4fc80:3000::/20fc80:3fff:ffff:ffff:ffff:ffff:ffff:ffff
5fc80:4000::/20fc80:4fff:ffff:ffff:ffff:ffff:ffff:ffff
6fc80:5000::/20fc80:5fff:ffff:ffff:ffff:ffff:ffff:ffff
7fc80:6000::/20fc80:6fff:ffff:ffff:ffff:ffff:ffff:ffff
8fc80:7000::/20fc80:7fff:ffff:ffff:ffff:ffff:ffff:ffff
9fc80:8000::/20fc80:8fff:ffff:ffff:ffff:ffff:ffff:ffff
10fc80:9000::/20fc80:9fff:ffff:ffff:ffff:ffff:ffff:ffff
11fc80:a000::/20fc80:afff:ffff:ffff:ffff:ffff:ffff:ffff
12fc80:b000::/20fc80:bfff:ffff:ffff:ffff:ffff:ffff:ffff
13fc80:c000::/20fc80:cfff:ffff:ffff:ffff:ffff:ffff:ffff
14fc80:d000::/20fc80:dfff:ffff:ffff:ffff:ffff:ffff:ffff
15fc80:e000::/20fc80:efff:ffff:ffff:ffff:ffff:ffff:ffff
16fc80:f000::/20fc80:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17fc81::/20fc81:fff:ffff:ffff:ffff:ffff:ffff:ffff
18fc81:1000::/20fc81:1fff:ffff:ffff:ffff:ffff:ffff:ffff
19fc81:2000::/20fc81:2fff:ffff:ffff:ffff:ffff:ffff:ffff
20fc81:3000::/20fc81:3fff:ffff:ffff:ffff:ffff:ffff:ffff
21fc81:4000::/20fc81:4fff:ffff:ffff:ffff:ffff:ffff:ffff
22fc81:5000::/20fc81:5fff:ffff:ffff:ffff:ffff:ffff:ffff
23fc81:6000::/20fc81:6fff:ffff:ffff:ffff:ffff:ffff:ffff
24fc81:7000::/20fc81:7fff:ffff:ffff:ffff:ffff:ffff:ffff
25fc81:8000::/20fc81:8fff:ffff:ffff:ffff:ffff:ffff:ffff
26fc81:9000::/20fc81:9fff:ffff:ffff:ffff:ffff:ffff:ffff
27fc81:a000::/20fc81:afff:ffff:ffff:ffff:ffff:ffff:ffff
28fc81:b000::/20fc81:bfff:ffff:ffff:ffff:ffff:ffff:ffff
29fc81:c000::/20fc81:cfff:ffff:ffff:ffff:ffff:ffff:ffff
30fc81:d000::/20fc81:dfff:ffff:ffff:ffff:ffff:ffff:ffff
31fc81:e000::/20fc81:efff:ffff:ffff:ffff:ffff:ffff:ffff
32fc81:f000::/20fc81:ffff:ffff:ffff:ffff:ffff:ffff:ffff
33fc82::/20fc82:fff:ffff:ffff:ffff:ffff:ffff:ffff
34fc82:1000::/20fc82:1fff:ffff:ffff:ffff:ffff:ffff:ffff
35fc82:2000::/20fc82:2fff:ffff:ffff:ffff:ffff:ffff:ffff
36fc82:3000::/20fc82:3fff:ffff:ffff:ffff:ffff:ffff:ffff
37fc82:4000::/20fc82:4fff:ffff:ffff:ffff:ffff:ffff:ffff
38fc82:5000::/20fc82:5fff:ffff:ffff:ffff:ffff:ffff:ffff
39fc82:6000::/20fc82:6fff:ffff:ffff:ffff:ffff:ffff:ffff
40fc82:7000::/20fc82:7fff:ffff:ffff:ffff:ffff:ffff:ffff
41fc82:8000::/20fc82:8fff:ffff:ffff:ffff:ffff:ffff:ffff
42fc82:9000::/20fc82:9fff:ffff:ffff:ffff:ffff:ffff:ffff
43fc82:a000::/20fc82:afff:ffff:ffff:ffff:ffff:ffff:ffff
44fc82:b000::/20fc82:bfff:ffff:ffff:ffff:ffff:ffff:ffff
45fc82:c000::/20fc82:cfff:ffff:ffff:ffff:ffff:ffff:ffff
46fc82:d000::/20fc82:dfff:ffff:ffff:ffff:ffff:ffff:ffff
47fc82:e000::/20fc82:efff:ffff:ffff:ffff:ffff:ffff:ffff
48fc82:f000::/20fc82:ffff:ffff:ffff:ffff:ffff:ffff:ffff
49fc83::/20fc83:fff:ffff:ffff:ffff:ffff:ffff:ffff
50fc83:1000::/20fc83:1fff:ffff:ffff:ffff:ffff:ffff:ffff
51fc83:2000::/20fc83:2fff:ffff:ffff:ffff:ffff:ffff:ffff
52fc83:3000::/20fc83:3fff:ffff:ffff:ffff:ffff:ffff:ffff
53fc83:4000::/20fc83:4fff:ffff:ffff:ffff:ffff:ffff:ffff
54fc83:5000::/20fc83:5fff:ffff:ffff:ffff:ffff:ffff:ffff
55fc83:6000::/20fc83:6fff:ffff:ffff:ffff:ffff:ffff:ffff
56fc83:7000::/20fc83:7fff:ffff:ffff:ffff:ffff:ffff:ffff
57fc83:8000::/20fc83:8fff:ffff:ffff:ffff:ffff:ffff:ffff
58fc83:9000::/20fc83:9fff:ffff:ffff:ffff:ffff:ffff:ffff
59fc83:a000::/20fc83:afff:ffff:ffff:ffff:ffff:ffff:ffff
60fc83:b000::/20fc83:bfff:ffff:ffff:ffff:ffff:ffff:ffff
61fc83:c000::/20fc83:cfff:ffff:ffff:ffff:ffff:ffff:ffff
62fc83:d000::/20fc83:dfff:ffff:ffff:ffff:ffff:ffff:ffff
63fc83:e000::/20fc83:efff:ffff:ffff:ffff:ffff:ffff:ffff
64fc83:f000::/20fc83:ffff:ffff:ffff:ffff:ffff:ffff:ffff
65fc84::/20fc84:fff:ffff:ffff:ffff:ffff:ffff:ffff
66fc84:1000::/20fc84:1fff:ffff:ffff:ffff:ffff:ffff:ffff
67fc84:2000::/20fc84:2fff:ffff:ffff:ffff:ffff:ffff:ffff
68fc84:3000::/20fc84:3fff:ffff:ffff:ffff:ffff:ffff:ffff
69fc84:4000::/20fc84:4fff:ffff:ffff:ffff:ffff:ffff:ffff
70fc84:5000::/20fc84:5fff:ffff:ffff:ffff:ffff:ffff:ffff
71fc84:6000::/20fc84:6fff:ffff:ffff:ffff:ffff:ffff:ffff
72fc84:7000::/20fc84:7fff:ffff:ffff:ffff:ffff:ffff:ffff
73fc84:8000::/20fc84:8fff:ffff:ffff:ffff:ffff:ffff:ffff
74fc84:9000::/20fc84:9fff:ffff:ffff:ffff:ffff:ffff:ffff
75fc84:a000::/20fc84:afff:ffff:ffff:ffff:ffff:ffff:ffff
76fc84:b000::/20fc84:bfff:ffff:ffff:ffff:ffff:ffff:ffff
77fc84:c000::/20fc84:cfff:ffff:ffff:ffff:ffff:ffff:ffff
78fc84:d000::/20fc84:dfff:ffff:ffff:ffff:ffff:ffff:ffff
79fc84:e000::/20fc84:efff:ffff:ffff:ffff:ffff:ffff:ffff
80fc84:f000::/20fc84:ffff:ffff:ffff:ffff:ffff:ffff:ffff
81fc85::/20fc85:fff:ffff:ffff:ffff:ffff:ffff:ffff
82fc85:1000::/20fc85:1fff:ffff:ffff:ffff:ffff:ffff:ffff
83fc85:2000::/20fc85:2fff:ffff:ffff:ffff:ffff:ffff:ffff
84fc85:3000::/20fc85:3fff:ffff:ffff:ffff:ffff:ffff:ffff
85fc85:4000::/20fc85:4fff:ffff:ffff:ffff:ffff:ffff:ffff
86fc85:5000::/20fc85:5fff:ffff:ffff:ffff:ffff:ffff:ffff
87fc85:6000::/20fc85:6fff:ffff:ffff:ffff:ffff:ffff:ffff
88fc85:7000::/20fc85:7fff:ffff:ffff:ffff:ffff:ffff:ffff
89fc85:8000::/20fc85:8fff:ffff:ffff:ffff:ffff:ffff:ffff
90fc85:9000::/20fc85:9fff:ffff:ffff:ffff:ffff:ffff:ffff
91fc85:a000::/20fc85:afff:ffff:ffff:ffff:ffff:ffff:ffff
92fc85:b000::/20fc85:bfff:ffff:ffff:ffff:ffff:ffff:ffff
93fc85:c000::/20fc85:cfff:ffff:ffff:ffff:ffff:ffff:ffff
94fc85:d000::/20fc85:dfff:ffff:ffff:ffff:ffff:ffff:ffff
95fc85:e000::/20fc85:efff:ffff:ffff:ffff:ffff:ffff:ffff
96fc85:f000::/20fc85:ffff:ffff:ffff:ffff:ffff:ffff:ffff
97fc86::/20fc86:fff:ffff:ffff:ffff:ffff:ffff:ffff
98fc86:1000::/20fc86:1fff:ffff:ffff:ffff:ffff:ffff:ffff
99fc86:2000::/20fc86:2fff:ffff:ffff:ffff:ffff:ffff:ffff
100fc86:3000::/20fc86:3fff:ffff:ffff:ffff:ffff:ffff:ffff
101fc86:4000::/20fc86:4fff:ffff:ffff:ffff:ffff:ffff:ffff
102fc86:5000::/20fc86:5fff:ffff:ffff:ffff:ffff:ffff:ffff
103fc86:6000::/20fc86:6fff:ffff:ffff:ffff:ffff:ffff:ffff
104fc86:7000::/20fc86:7fff:ffff:ffff:ffff:ffff:ffff:ffff
105fc86:8000::/20fc86:8fff:ffff:ffff:ffff:ffff:ffff:ffff
106fc86:9000::/20fc86:9fff:ffff:ffff:ffff:ffff:ffff:ffff
107fc86:a000::/20fc86:afff:ffff:ffff:ffff:ffff:ffff:ffff
108fc86:b000::/20fc86:bfff:ffff:ffff:ffff:ffff:ffff:ffff
109fc86:c000::/20fc86:cfff:ffff:ffff:ffff:ffff:ffff:ffff
110fc86:d000::/20fc86:dfff:ffff:ffff:ffff:ffff:ffff:ffff
111fc86:e000::/20fc86:efff:ffff:ffff:ffff:ffff:ffff:ffff
112fc86:f000::/20fc86:ffff:ffff:ffff:ffff:ffff:ffff:ffff
113fc87::/20fc87:fff:ffff:ffff:ffff:ffff:ffff:ffff
114fc87:1000::/20fc87:1fff:ffff:ffff:ffff:ffff:ffff:ffff
115fc87:2000::/20fc87:2fff:ffff:ffff:ffff:ffff:ffff:ffff
116fc87:3000::/20fc87:3fff:ffff:ffff:ffff:ffff:ffff:ffff
117fc87:4000::/20fc87:4fff:ffff:ffff:ffff:ffff:ffff:ffff
118fc87:5000::/20fc87:5fff:ffff:ffff:ffff:ffff:ffff:ffff
119fc87:6000::/20fc87:6fff:ffff:ffff:ffff:ffff:ffff:ffff
120fc87:7000::/20fc87:7fff:ffff:ffff:ffff:ffff:ffff:ffff
121fc87:8000::/20fc87:8fff:ffff:ffff:ffff:ffff:ffff:ffff
122fc87:9000::/20fc87:9fff:ffff:ffff:ffff:ffff:ffff:ffff
123fc87:a000::/20fc87:afff:ffff:ffff:ffff:ffff:ffff:ffff
124fc87:b000::/20fc87:bfff:ffff:ffff:ffff:ffff:ffff:ffff
125fc87:c000::/20fc87:cfff:ffff:ffff:ffff:ffff:ffff:ffff
126fc87:d000::/20fc87:dfff:ffff:ffff:ffff:ffff:ffff:ffff
127fc87:e000::/20fc87:efff:ffff:ffff:ffff:ffff:ffff:ffff
128fc87:f000::/20fc87:ffff:ffff:ffff:ffff:ffff:ffff:ffff
129fc88::/20fc88:fff:ffff:ffff:ffff:ffff:ffff:ffff
130fc88:1000::/20fc88:1fff:ffff:ffff:ffff:ffff:ffff:ffff
131fc88:2000::/20fc88:2fff:ffff:ffff:ffff:ffff:ffff:ffff
132fc88:3000::/20fc88:3fff:ffff:ffff:ffff:ffff:ffff:ffff
133fc88:4000::/20fc88:4fff:ffff:ffff:ffff:ffff:ffff:ffff
134fc88:5000::/20fc88:5fff:ffff:ffff:ffff:ffff:ffff:ffff
135fc88:6000::/20fc88:6fff:ffff:ffff:ffff:ffff:ffff:ffff
136fc88:7000::/20fc88:7fff:ffff:ffff:ffff:ffff:ffff:ffff
137fc88:8000::/20fc88:8fff:ffff:ffff:ffff:ffff:ffff:ffff
138fc88:9000::/20fc88:9fff:ffff:ffff:ffff:ffff:ffff:ffff
139fc88:a000::/20fc88:afff:ffff:ffff:ffff:ffff:ffff:ffff
140fc88:b000::/20fc88:bfff:ffff:ffff:ffff:ffff:ffff:ffff
141fc88:c000::/20fc88:cfff:ffff:ffff:ffff:ffff:ffff:ffff
142fc88:d000::/20fc88:dfff:ffff:ffff:ffff:ffff:ffff:ffff
143fc88:e000::/20fc88:efff:ffff:ffff:ffff:ffff:ffff:ffff
144fc88:f000::/20fc88:ffff:ffff:ffff:ffff:ffff:ffff:ffff
145fc89::/20fc89:fff:ffff:ffff:ffff:ffff:ffff:ffff
146fc89:1000::/20fc89:1fff:ffff:ffff:ffff:ffff:ffff:ffff
147fc89:2000::/20fc89:2fff:ffff:ffff:ffff:ffff:ffff:ffff
148fc89:3000::/20fc89:3fff:ffff:ffff:ffff:ffff:ffff:ffff
149fc89:4000::/20fc89:4fff:ffff:ffff:ffff:ffff:ffff:ffff
150fc89:5000::/20fc89:5fff:ffff:ffff:ffff:ffff:ffff:ffff
151fc89:6000::/20fc89:6fff:ffff:ffff:ffff:ffff:ffff:ffff
152fc89:7000::/20fc89:7fff:ffff:ffff:ffff:ffff:ffff:ffff
153fc89:8000::/20fc89:8fff:ffff:ffff:ffff:ffff:ffff:ffff
154fc89:9000::/20fc89:9fff:ffff:ffff:ffff:ffff:ffff:ffff
155fc89:a000::/20fc89:afff:ffff:ffff:ffff:ffff:ffff:ffff
156fc89:b000::/20fc89:bfff:ffff:ffff:ffff:ffff:ffff:ffff
157fc89:c000::/20fc89:cfff:ffff:ffff:ffff:ffff:ffff:ffff
158fc89:d000::/20fc89:dfff:ffff:ffff:ffff:ffff:ffff:ffff
159fc89:e000::/20fc89:efff:ffff:ffff:ffff:ffff:ffff:ffff
160fc89:f000::/20fc89:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161fc8a::/20fc8a:fff:ffff:ffff:ffff:ffff:ffff:ffff
162fc8a:1000::/20fc8a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
163fc8a:2000::/20fc8a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
164fc8a:3000::/20fc8a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
165fc8a:4000::/20fc8a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
166fc8a:5000::/20fc8a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
167fc8a:6000::/20fc8a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
168fc8a:7000::/20fc8a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
169fc8a:8000::/20fc8a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
170fc8a:9000::/20fc8a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
171fc8a:a000::/20fc8a:afff:ffff:ffff:ffff:ffff:ffff:ffff
172fc8a:b000::/20fc8a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
173fc8a:c000::/20fc8a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
174fc8a:d000::/20fc8a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
175fc8a:e000::/20fc8a:efff:ffff:ffff:ffff:ffff:ffff:ffff
176fc8a:f000::/20fc8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177fc8b::/20fc8b:fff:ffff:ffff:ffff:ffff:ffff:ffff
178fc8b:1000::/20fc8b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
179fc8b:2000::/20fc8b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
180fc8b:3000::/20fc8b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
181fc8b:4000::/20fc8b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
182fc8b:5000::/20fc8b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
183fc8b:6000::/20fc8b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
184fc8b:7000::/20fc8b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
185fc8b:8000::/20fc8b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
186fc8b:9000::/20fc8b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
187fc8b:a000::/20fc8b:afff:ffff:ffff:ffff:ffff:ffff:ffff
188fc8b:b000::/20fc8b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
189fc8b:c000::/20fc8b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
190fc8b:d000::/20fc8b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
191fc8b:e000::/20fc8b:efff:ffff:ffff:ffff:ffff:ffff:ffff
192fc8b:f000::/20fc8b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193fc8c::/20fc8c:fff:ffff:ffff:ffff:ffff:ffff:ffff
194fc8c:1000::/20fc8c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
195fc8c:2000::/20fc8c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
196fc8c:3000::/20fc8c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
197fc8c:4000::/20fc8c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
198fc8c:5000::/20fc8c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
199fc8c:6000::/20fc8c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
200fc8c:7000::/20fc8c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
201fc8c:8000::/20fc8c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
202fc8c:9000::/20fc8c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
203fc8c:a000::/20fc8c:afff:ffff:ffff:ffff:ffff:ffff:ffff
204fc8c:b000::/20fc8c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
205fc8c:c000::/20fc8c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
206fc8c:d000::/20fc8c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
207fc8c:e000::/20fc8c:efff:ffff:ffff:ffff:ffff:ffff:ffff
208fc8c:f000::/20fc8c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209fc8d::/20fc8d:fff:ffff:ffff:ffff:ffff:ffff:ffff
210fc8d:1000::/20fc8d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
211fc8d:2000::/20fc8d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
212fc8d:3000::/20fc8d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213fc8d:4000::/20fc8d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
214fc8d:5000::/20fc8d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
215fc8d:6000::/20fc8d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
216fc8d:7000::/20fc8d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
217fc8d:8000::/20fc8d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
218fc8d:9000::/20fc8d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
219fc8d:a000::/20fc8d:afff:ffff:ffff:ffff:ffff:ffff:ffff
220fc8d:b000::/20fc8d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
221fc8d:c000::/20fc8d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
222fc8d:d000::/20fc8d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
223fc8d:e000::/20fc8d:efff:ffff:ffff:ffff:ffff:ffff:ffff
224fc8d:f000::/20fc8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225fc8e::/20fc8e:fff:ffff:ffff:ffff:ffff:ffff:ffff
226fc8e:1000::/20fc8e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
227fc8e:2000::/20fc8e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
228fc8e:3000::/20fc8e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
229fc8e:4000::/20fc8e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
230fc8e:5000::/20fc8e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
231fc8e:6000::/20fc8e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
232fc8e:7000::/20fc8e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
233fc8e:8000::/20fc8e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
234fc8e:9000::/20fc8e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
235fc8e:a000::/20fc8e:afff:ffff:ffff:ffff:ffff:ffff:ffff
236fc8e:b000::/20fc8e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
237fc8e:c000::/20fc8e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
238fc8e:d000::/20fc8e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
239fc8e:e000::/20fc8e:efff:ffff:ffff:ffff:ffff:ffff:ffff
240fc8e:f000::/20fc8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241fc8f::/20fc8f:fff:ffff:ffff:ffff:ffff:ffff:ffff
242fc8f:1000::/20fc8f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
243fc8f:2000::/20fc8f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
244fc8f:3000::/20fc8f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
245fc8f:4000::/20fc8f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
246fc8f:5000::/20fc8f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
247fc8f:6000::/20fc8f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
248fc8f:7000::/20fc8f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
249fc8f:8000::/20fc8f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
250fc8f:9000::/20fc8f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
251fc8f:a000::/20fc8f:afff:ffff:ffff:ffff:ffff:ffff:ffff
252fc8f:b000::/20fc8f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
253fc8f:c000::/20fc8f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
254fc8f:d000::/20fc8f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
255fc8f:e000::/20fc8f:efff:ffff:ffff:ffff:ffff:ffff:ffff
256fc8f:f000::/20fc8f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses